Bug 143602 - AACRAID drivers not stable with memory configurations greater than 12 gigs of ram
AACRAID drivers not stable with memory configurations greater than 12 gigs of...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Tom Coughlan
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-22 14:23 EST by Mark Cohen
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:10:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Cohen 2004-12-22 14:23:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
Default AACRAID modules aren't stable on a machine with greater than
12 gigs of ram. SCSI bus hangs and filesystems become unmounted or
mounted r/o

Version-Release number of selected component (if applicable):
aacraid 1.1.5 pre 2373

How reproducible:
Always

Steps to Reproduce:
1. Install Adaptec 2120 or 2200s series raid card
2. Load aacraid module
3. Have more than 12G of ram
    

Actual Results:  
During high IO load (demonstrated with Bonnie++ or lots of dd
commands, after about 20 minutes of heavy IO, the system becomes
unstable. SCSI errors show up in dmesg, SCSI times out and filesystems
become unmounted or mounted read-only. Sometimes the system will
kernel panic.

Expected Results:  System should continue to be stable.

Additional info:

Recent Adaptec firmware update with latest drivers fix the problem.
This  has been tested on 32G of ram systems.
Comment 1 Tom Coughlan 2004-12-23 08:28:10 EST
Was the firmware update sufficient, or is both the firmware and driver update
required? 

Please post the firmware and driver version numbers that fixed the problem.
Comment 2 Mark Cohen 2004-12-23 12:43:20 EST
The Driver was required. (1.1.5-2373) The firmware was mostly a performance
increase. (RAID5) 

One caveat though, the Adaptec RPM has a bug in the install.sh script. 
749c749
<               if [ "${count1} == "1" -a "${count2}" == "2" ] ; then
---
>               if [ "${count1}" == "1" -a "${count2}" == "2" ] ; then



-Mark C
Comment 3 Adam Goldstein 2005-02-19 05:47:48 EST
Can you elaborate on the working firmware & driver versions?  bios 7348 is on our card, 
but 7349 is -supposedly- available, but is not on adaptec's site. Links to the 7349 manual 
addendum are dead links.

We cannot get this working with any current linux distro.
Dual Opteron
16G Ram 
Adaptec 2130SLP raid 10 (4x74G U320)
Tyan 2882 pro board
booting from onboard sata drive, not raid

We also cannot appear to add a driver at install, and cannot boot to installed os to update 
the system via adaptec's rpm.
Comment 4 RHEL Product and Program Management 2007-10-19 15:10:39 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.